"""
test_pixbuf.py

Loads a pixbuf from a file, and sends it as data in a notification.
"""

import gtk
import os
import pynotify

SCRIPT_PATH = os.path.dirname(os.path.abspath(__file__))
ICON_PATH = os.path.join(SCRIPT_PATH, "..", "icons", "recent-notifications.svg")

def main():
  if not pynotify.init("test_pixbuf"):
    print "Failed to initialize notifications."
    sys.exit(1)

  n = pynotify.Notification("TestPixbuf",
      "This is a test, this is only a test.")

  pixbuf = gtk.gdk.pixbuf_new_from_file(ICON_PATH)

  n.set_icon_from_pixbuf(pixbuf)

  if not n.show():
    print "Failed to send notification."
    sys.exit(1)

if __name__ == "__main__":
  main()
